INTERFACE
SUBROUTINE CPG_PT ( KSTART, KPROF,LDGET,KFLDN,KFLDX,&
 & PTENDU, PTENDV, PTENDT,&
 & PTENDQ, PTENDO3,PTENDL, PTENDI,PTENDA,PTENDS,&
 & PTENDR, PTENDG, PTENDH, PTENDTKE, PTENDEXT, PTENDSP,&
 & PGFLPT, PGFLT1, PGFL, PGMV, PGMVS) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOM_YGFL , ONLY : YGFL, YQ, YL, YO3, YA, YI, YR, YS, YG, YH, YTKE,&
 & YCPF,YEXT,NGFL_EXT 
USE YOMDIM , ONLY : NPROMA, NFLEVG
USE YOMGMV , ONLY : YT9,NDIMGMV,NDIMGMVS
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
LOGICAL,INTENT(IN) :: LDGET
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDN
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDX
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PTENDU(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PTENDV(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PTENDT(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PTENDQ(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PTENDO3(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PTENDL(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PTENDI(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PTENDA(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PTENDR(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PTENDS(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PTENDG(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PTENDH(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PTENDTKE(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PTENDEXT(NPROMA,KFLDN:KFLDX,NGFL_EXT)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PTENDSP(NPROMA)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PGFLPT(NPROMA,NFLEVG,YGFL%NDIMPT)
REAL(KIND=JPRB),OPTIONAL,INTENT(OUT) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB),OPTIONAL,INTENT(INOUT) :: PGMVS(NPROMA,NDIMGMVS)
END SUBROUTINE CPG_PT
END INTERFACE
